Bug 677866 - m17n*.pc reports wrong moduledir on x86_64 system
Summary: m17n*.pc reports wrong moduledir on x86_64 system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-lib
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-16 06:22 UTC by Daiki Ueno
Modified: 2011-03-30 05:33 UTC (History)
3 users (show)

Fixed In Version: m17n-lib-1.6.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-30 05:33:40 UTC


Attachments (Terms of Use)

Description Daiki Ueno 2011-02-16 06:22:30 UTC
Description of problem:
On x86_64 system, m17n-lib modules are installed under /usr/lib64/m17n/1.0.  However pkg-config scripts hard-code the location as /usr/lib/m17n/1.0.

Version-Release number of selected component (if applicable):
m17n-lib-devel-1.6.2-1.fc14

How reproducible:
always

Steps to Reproduce:
1.pkg-config --variable=moduledir m17n-shell
2.
3.
  
Actual results:
/usr/lib/m17n/1.0

Expected results:
/usr/lib64/m17n/1.0

Additional info:
Possible solution would be to use ${libdir} instead of ${exec_prefix}/lib in *.pc.

BTW, it seems that /usr/lib{,64}/m17n is not owned by any package:
 $ rpm -qf /usr/lib64/m17n
 file /usr/lib64/m17n is not owned by any package
while  /usr/lib64/m17n/1.0/libmimx-anthy.so is owned by m17n-lib-anthy:
 $ rpm -qf /usr/lib64/m17n/1.0/libmimx-anthy.so
 m17n-lib-anthy-1.6.2-1.fc14.x86_64

Comment 1 Parag Nemade 2011-02-28 05:26:44 UTC
Patch has been submitted to upstream for its review and commit. Waiting for upstream reply.

Comment 2 Fedora Update System 2011-03-22 09:45:26 UTC
m17n-lib-1.6.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/m17n-lib-1.6.2-3.fc15

Comment 3 Fedora Update System 2011-03-30 05:33:31 UTC
m17n-lib-1.6.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.